#ifndef NEWCI_H
#define NEWCI_H
#include <stddef.h>

typedef struct newci_parserec {
	char switch_[4];
	size_t used;
	char kind; ///< kind of the next union
	union {
		long i;
		double r;
		char *s;
	} UU;
} newci_parserec;

int P_argc;
char **P_argv;

void newci_parseswitch (newci_parserec *tab, size_t size, char *bad);
void newci_eatargument ();
void newci_fixfname (char *s, char *ext, char *home);
void newci_forcefname (char *s, char *ext, char *home);
void newci_shellescape (char *args);
void newci_fullshellescape (char *args, char *opts);
void newci_fulleditescape (char *fn, char *opts, long ln, long pos);
void newci_nullrecover ();

void newci_inputmap ();
void newci_inputunmap ();
void newci_inputstring (char *s);
long timers_sysclock ();
long newci_fullseconds ();

#endif /*NEWCI_H*/



