#ifndef LOG_H
#define LOG_H

#include <utils/p2c.h>
#include "logdef.h"
#include "logstructs.h"
#include "wire.h"
#include "node.h"

void show_events();
void report(int num, char *s);
void log_setmode(const char *s);
long getint(char *s, long def);
void sortshints(short *x, short *y);
long glowcol(log_nrec *n, long def);
void resetmessages();
void message(char *msg);
void tracemessage(char *msg);
void pass();
void newattrs(log_gattrrec **gattr, short numattrs, log_kattrrec *kattr);
void disposeattrs(log_gattrrec **gattr, short numattrs, log_kattrrec *kattr);
void copyattrs(log_gattrrec **gattr, log_gattrrec *oldattr, short numattrs, log_kattrrec *kattr);
log_tool *findsimtype(uchar st);
void garbagecoll();
short getsignal(int d, char *n_);
void setscale(short s);
char *colorname(char *Result, short c);
void scroll();
void doimmedcnffunction();
void doimmedfunction();
void docnffunction();
void dofunction ();
void assertfunc (char *name);
void clearfunc();
void refrfunc();
void waitnear();
void confirmsimtype(log_nrec *n);
void scancn(cnrec *cn, struct LOC_checkcombine *LINK);
void addblobs(blobrec **blbase, short x1, short y1, short x2, short y2);
void doblobs(blobrec *blp);
void dispblobs(blobrec **blbase);
void changekind(short gtype, short sig, log_gattrrec *attrs);
void prealunit(double r, short p, char *u, char *s);
void prealunit2(double r, short p, char *u, char *s);
void beginerror();
void enderror();
void setvlsimode(int flag);
void histdelsignals();
void histaddsignal(log_hnrec **hn, short sig, short y);
void addboxat(short x1, short y1, short x2, short y2);
void settofrom(log_grec **g, char *name);
void solderat(short x, short y);
void frysolder(short x, short y);
void unprobe();
void checkprobe(short xx, short yy);
void testprobe(short xx, short yy);

#endif
