#ifndef PAGEREADER_H
#define PAGEREADER_H

#include <stdio.h>
#include "logdef.h"
#include "logglobals.h"
#include "wire.h"

#define LOAD_SEARCH    /* Use the search path in load command. */

typedef struct wirerec {
	int horiz;
	union {
		log_hwrec *hw;
		log_vwrec *vw;
	} UU;
} wirerec;

/* Local variables for loadpage: */
struct LOC_loadpage {
	char *reason;
	FILE *f;
	long *ip;
	short numnodes;
	log_nrec **np;
};

/* Local variables for initialize: */
struct LOC_initialize {
	short j;
	strlist_t *loadgates, *logmenu;
	char cmdbuf[81];
	cnfrec *cnflast;
};

/* Local variables for readlgf: */
struct LOC_readlgf {
	char *reason;
	FILE **f;
	long *ip;
} ;

void loadfail(char *msg, struct LOC_loadpage *LINK);
int tryfindfile(char *name, char *path, struct LOC_initialize *LINK);
int locatefile(char *name, struct LOC_initialize *LINK);
void loadpage(char *filename_, char *reason_);
void readattrs(FILE **f, log_gattrrec **gattr, short numattrs, log_kattrrec *kattr, strlist_t *lbl, short count);
void loadlog30(FILE **f, short ver);
void readpage(char *filename_, char *reason);

#endif
