#include "display.h"
#include "logglobals.h"
#include "logdef.h"
#include "window.h"
#include "keyboard.h"
#include "log.h"

short zoom;   ///< Zooming level

/// Set the scaling (zoom) factor.
void setscale(short s)
{
	zoom = s;
	gg.scale = zoomscales[s + 2];
	gg.hscale = gg.scale / 2;
}


void zoomto(short z)
{
	short s0, i, FORLIM;

	if (-2 > z || z > 2 || z == zoom)
	{
		clearfunc();
		return;
	}
	s0 = gg.scale;
	setscale(z);
	xoff0 += (gg.xoff + across / 2) * gg.scale / s0 - across / 2 - gg.xoff;
	yoff0 += (gg.yoff + baseline / 2) * gg.scale / s0 - baseline / 2 - gg.yoff;
	FORLIM = gg.numpages;
	for (i = 0; i < FORLIM; i++)
	{
		xoffp[i] = (xoffp[i] + across / 2) * gg.scale / s0 - across / 2;
		yoffp[i] = (yoffp[i] + baseline / 2) * gg.scale / s0 - baseline / 2;
	}
	refrfunc();
}


void scroll()
{
	char ch, TEMP;

	if (strcmp(gg.func, "REFR"))
		return;
	remcursor();
	gg.xoff += xoff0;
	gg.yoff += yoff0;
	refrwindow1();
	xoff0 = 0;
	yoff0 = 0;
	TEMP = m_testkey();
	if ((uchar)TEMP < 32 && ((1L << TEMP) & 0x90000500L) != 0)
		ch = inkey2();
	restorecursor();
	gg.startpoint = false;
	clearfunc();
}


